T1DInterpolator< T > Class Template Referenceabstract
Interpolation

Interpolator base class providing the full interface. More...

`#include <mia/core/interpolator1d.hh>`

Inheritance diagram for T1DInterpolator< T >:
[legend]
Collaboration diagram for T1DInterpolator< T >:
[legend]

## Public Member Functions

virtual coeff_map< T >::coeff_type | derivative_at (const double &x) const =0
virtual T | operator() (const double &x) const =0
Public Member Functions inherited from C1DInterpolator
virtual | ~C1DInterpolator ()

## Detailed Description

template<typename T>
class T1DInterpolator< T >

Interpolator base class providing the full interface.

Basic Interpolator type for 1D Data.

Template Parameters

  T | data type to be interpolated over

Definition at line 79 of file interpolator1d.hh.

## Member Function Documentation

## derivative_at()

template<typename T>

virtual coeff_map< T >::coeff_type T1DInterpolator< T >::derivative_at | ( | const double & | x | ) | const

pure virtual

interface to evaluate the derivative of the spline defined function

Parameters

  x |

Returns
  interpolated approximate derivative at x

Implemented in T1DConvoluteInterpolator< T >.

## operator()()

template<typename T>

virtual T T1DInterpolator< T >::operator() | ( | const double & | x | ) | const

pure virtual

Parameters

  x | location of data value to read

Returns
  interpolated value at location x

Implemented in T1DConvoluteInterpolator< T >.

The documentation for this class was generated from the following file:

- interpolator1d.hh